org.apache.fontbox.cff

## Enum CharStringCommand.Key

- java.lang.Object
- - java.lang.Enum<CharStringCommand.Key>
  - - org.apache.fontbox.cff.CharStringCommand.Key

All Implemented Interfaces:
  Serializable, Comparable<CharStringCommand.Key>

Enclosing class:
  CharStringCommand

    public static enum CharStringCommand.Key
    extends Enum<CharStringCommand.Key>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ABS`
`ADD`
`AND`
`CALLGSUBR`
`CALLOTHERSUBR`
`CALLSUBR`
`CLOSEPATH`
`CNTRMASK`
`DIV`
`DOTSECTION`
`DROP`
`DUP`
`ENDCHAR`
`EQ`
`ESCAPE`
`EXCH`
`FLEX`
`FLEX1`
`GET`
`HFLEX`
`HFLEX1`
`HHCURVETO`
`HINTMASK`
`HLINETO`
`HMOVETO`
`HSBW`
`HSTEM`
`HSTEM3`
`HSTEMHM`
`HVCURVETO`
`IFELSE`
`INDEX`
`MUL`
`NEG`
`NOT`
`OR`
`POP`
`PUT`
`RANDOM`
`RCURVELINE`
`RET`
`RLINECURVE`
`RLINETO`
`RMOVETO`
`ROLL`
`RRCURVETO`
`SBW`
`SEAC`
`SETCURRENTPOINT`
`SHORTINT`
`SQRT`
`SUB`
`VHCURVETO`
`VLINETO`
`VMOVETO`
`VSTEM`
`VSTEM3`
`VSTEMHM`
`VVCURVETO`

### Method Summary

All Methods Static Methods Concrete Methods
`static CharStringCommand.Key` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CharStringCommand.Key` `valueOfKey(int b0)`
`static CharStringCommand.Key` `valueOfKey(int b0, int b1)`
`static CharStringCommand.Key[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HSTEM

    public static final CharStringCommand.Key HSTEM

#### VSTEM

    public static final CharStringCommand.Key VSTEM

#### VMOVETO

    public static final CharStringCommand.Key VMOVETO

#### RLINETO

    public static final CharStringCommand.Key RLINETO

#### HLINETO

    public static final CharStringCommand.Key HLINETO

#### VLINETO

    public static final CharStringCommand.Key VLINETO

#### RRCURVETO

    public static final CharStringCommand.Key RRCURVETO

#### CLOSEPATH

    public static final CharStringCommand.Key CLOSEPATH

#### CALLSUBR

    public static final CharStringCommand.Key CALLSUBR

#### RET

    public static final CharStringCommand.Key RET

#### ESCAPE

    public static final CharStringCommand.Key ESCAPE

#### DOTSECTION

    public static final CharStringCommand.Key DOTSECTION

#### VSTEM3

    public static final CharStringCommand.Key VSTEM3

#### HSTEM3

    public static final CharStringCommand.Key HSTEM3

#### AND

    public static final CharStringCommand.Key AND

#### OR

    public static final CharStringCommand.Key OR

#### NOT

    public static final CharStringCommand.Key NOT

#### SEAC

    public static final CharStringCommand.Key SEAC

#### SBW

    public static final CharStringCommand.Key SBW

#### ABS

    public static final CharStringCommand.Key ABS

#### ADD

    public static final CharStringCommand.Key ADD

#### SUB

    public static final CharStringCommand.Key SUB

#### DIV

    public static final CharStringCommand.Key DIV

#### NEG

    public static final CharStringCommand.Key NEG

#### EQ

    public static final CharStringCommand.Key EQ

#### CALLOTHERSUBR

    public static final CharStringCommand.Key CALLOTHERSUBR

#### POP

    public static final CharStringCommand.Key POP

#### DROP

    public static final CharStringCommand.Key DROP

#### PUT

    public static final CharStringCommand.Key PUT

#### GET

    public static final CharStringCommand.Key GET

#### IFELSE

    public static final CharStringCommand.Key IFELSE

#### RANDOM

    public static final CharStringCommand.Key RANDOM

#### MUL

    public static final CharStringCommand.Key MUL

#### SQRT

    public static final CharStringCommand.Key SQRT

#### DUP

    public static final CharStringCommand.Key DUP

#### EXCH

    public static final CharStringCommand.Key EXCH

#### INDEX

    public static final CharStringCommand.Key INDEX

#### ROLL

    public static final CharStringCommand.Key ROLL

#### SETCURRENTPOINT

    public static final CharStringCommand.Key SETCURRENTPOINT

#### HFLEX

    public static final CharStringCommand.Key HFLEX

#### FLEX

    public static final CharStringCommand.Key FLEX

#### HFLEX1

    public static final CharStringCommand.Key HFLEX1

#### FLEX1

    public static final CharStringCommand.Key FLEX1

#### HSBW

    public static final CharStringCommand.Key HSBW

#### ENDCHAR

    public static final CharStringCommand.Key ENDCHAR

#### HSTEMHM

    public static final CharStringCommand.Key HSTEMHM

#### HINTMASK

    public static final CharStringCommand.Key HINTMASK

#### CNTRMASK

    public static final CharStringCommand.Key CNTRMASK

#### RMOVETO

    public static final CharStringCommand.Key RMOVETO

#### HMOVETO

    public static final CharStringCommand.Key HMOVETO

#### VSTEMHM

    public static final CharStringCommand.Key VSTEMHM

#### RCURVELINE

    public static final CharStringCommand.Key RCURVELINE

#### RLINECURVE

    public static final CharStringCommand.Key RLINECURVE

#### VVCURVETO

    public static final CharStringCommand.Key VVCURVETO

#### HHCURVETO

    public static final CharStringCommand.Key HHCURVETO

#### SHORTINT

    public static final CharStringCommand.Key SHORTINT

#### CALLGSUBR

    public static final CharStringCommand.Key CALLGSUBR

#### VHCURVETO

    public static final CharStringCommand.Key VHCURVETO

#### HVCURVETO

    public static final CharStringCommand.Key HVCURVETO

### Method Detail

#### values

    public static CharStringCommand.Key[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CharStringCommand.Key c : CharStringCommand.Key.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CharStringCommand.Key valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### valueOfKey

    public static CharStringCommand.Key valueOfKey(int b0)

#### valueOfKey

    public static CharStringCommand.Key valueOfKey(int b0,
                                                   int b1)